Karia
ReferencesOpenapiEmployer

List employers

GET
/organisation/{orgId}/workspace/{workspaceId}/employer

List employers in the specified organisation and workspace, with optional search and pagination.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string

Query Parameters

search?string
page?number
Range1 <= value
Default1
limit?number
Range1 <= value <= 50
Default10

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organisation/string/workspace/string/employer"
{  "items": [    {      "id": -2147483648,      "businessId": "string",      "name": "string",      "tradingName": "string",      "industry": "string",      "status": "string",      "addressLine1": "string",      "addressLine2": "string",      "unitNumber": "string",      "streetNumber": "string",      "streetName": "string",      "suburb": "string",      "state": "string",      "postCode": "string",      "country": "string",      "fbtTreatmentType": "string",      "fbtCollection": "string",      "invoiceTerms": "string",      "preferredPaymentMethod": "string",      "companyWebsite": "string",      "description": "string",      "metadata": "string",      "createdAt": "string"    }  ],  "pagination": {    "total": 0,    "page": 0,    "limit": 0,    "totalPages": 0  }}